<div id="searchsuite-autocomplete" class="searchsuite-autocomplete" data-bind="visible: showPopup()">

    <div data-bind="visible: anyResultCount()">
        <div class="suggest" data-bind="visible: result.suggest.data().length > 0">
            <div class="title"><!-- ko i18n: 'Suggested'--><!-- /ko --></div>
            <ul id="suggest" role="listbox" data-bind="foreach: result.suggest.data">
                <li >
                    <a data-bind="attr: { href: url, title: title }">
                        <span data-bind="text: title"></span> (<span data-bind="text: num_results"></span>)
                    </a>
                </li>
            </ul>
        </div>

        <div class="product" data-bind="visible: result.product.data().length > 0">
            <div class="title">
                <!-- ko i18n: 'Products'--><!-- /ko -->
                <a class="see-all" data-bind="attr: {href: result.product.url}">
                    <!-- ko i18n: 'See All' --><!-- /ko -->
                    <span data-bind="text: result.product.size"></span>
                </a>
            </div>
            <ul id="product" role="listbox" data-bind="foreach: result.product.data">
                <li>
                    <div class="qs-option-image" data-bind="visible: image">
                        <a data-bind="attr: { href: url, title: name }">
                            <img data-bind="attr: { src: image, title: name }" />
                        </a>
                    </div>
                    <div class="qs-option-info" data-bind="css: {noimage: !image}">
                        <div class="qs-option-title" data-bind="visible: name">
                            <a data-bind="attr: { href: url, title: name }, text: name"></a>
                        </div>
                        <div class="qs-option-reviews" data-bind="html: reviews_rating, visible: reviews_rating"></div>
                        <div class="qs-option-sku" data-bind="visible: sku"><!-- ko i18n: 'SKU'--><!-- /ko -->: <span data-bind="text: sku"></span></div>
                        <div class="qs-option-shortdescription" data-bind="text: short_description, visible: short_description"></div>
                        <div class="qs-option-description" data-bind="text: description, visible: description"></div>
                        <div class="qs-option-price" data-bind="html: price, visible: price"></div>
                        <div class="qs-option-addtocart" data-bind="with: add_to_cart, visible: add_to_cart">
                            <form data-role="searchsuiteautocomplete-tocart-form" method="post" data-bind="attr: { action: formUrl}">
                                <input type="hidden" name="product" value="<?php echo $block->getProductId() ?>" data-bind="attr: { value: productId}">
                                <input type="hidden" data-bind="attr: { name: paramNameUrlEncoded, value: urlEncoded}">
                                <input name="form_key" type="hidden" data-bind="attr: { value: formKey}">
                                <input name="qty" id="qty" value="1" title="Qty" class="input-text qty" >
                                <button type="submit" title="Add to Cart" class="action customcart primary searchaddtocart">
                                    <span><i class="mbi mbi-cart"></i></span>
                                </button>
                            </form>
                        </div>
                    </div>
                </li>
            </ul>
        </div>
    </div>

    <div class="no-result" data-bind="visible: !anyResultCount()"><!-- ko i18n: 'No Result'--><!-- /ko --></div>

</div>